# $EPIC: key,v 1.3 2001/07/23 22:38:14 jnelson Exp $
Synopsis:
   $key(<channel list>)

Technical:
   * If the <channel list> argument is omitted, the current channel is 
     used.  THIS MAY NOT BE THE CORRECT CHANNEL IN AN /ON!
   * <channel list> is taken as a word list (space separated) of channel
     names.  The asterisk ("*") is a special channel name that refers to 
     the current window's current channel.  THIS MAY NOT BE THE CORRECT
     CHANNEL IN AN /ON!
   * The return value is a word list of channel keys corresponding in 
     order to <channel list>.  If a specified channel in <channel list>
     does not have a key, the asterisk ("*") character will indicate that
     there is "no key".
   * You must be on the channel.
   * Before the /ON CHANNEL_SYNC for the channel is thrown, this function
     may return "no key" ("*");
   * Keys are not supposed to support spaces, so we don't worry about 
     surrounding the keys with double quotes.

Practical:
   This function is used to fetch a channel's key.  Any number of channels
   may be specified, though the output could be confusing if only some
   actually have a key.  You must be on the channel(s) specified for the
   function to have any effect.

Returns:
   A list of channel keys for a list of given channels.  The "*" is used
   as an indicator of "no key" for the channel.  There shouldn't be any
   error condition returned by this function.

History:
   This function first appeared in "+4" (post-ircII, pre-EPIC).  Support
   for the default argument and for "*" first appeared in "+5".

See Also:
   chanmode(6)

